Bug 1690592 - [marketplace] API group and version are incorrect
Summary: [marketplace] API group and version are incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: aravindh
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 18:51 UTC by aravindh
Modified: 2019-06-04 10:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: API was marked as alpha Consequence: Released to customer with an alpha API Fix: Updated API to v1 Result: v1 APIs
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:19 UTC

Description aravindh 2019-03-19 18:51:12 UTC
The API group and version of OperatorSource and CatalogSourceConfig are set incorrectly. The group should be "operators.openshift.io" for consistency. The version cannot be v1alpha1 for a GA feature.

Comment 1 Jessica Forrester 2019-03-19 19:04:43 UTC
Decision from Clayton is to use operators.coreos.com

Comment 3 Fan Jia 2019-03-26 06:30:22 UTC
test env:
cv : 4.0.0-0.nightly-2019-03-25-180911
marketplace image:quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:c900dea42db87f2284e500d24718cd4d8fb5a4c4255ad26bccd721024b7dc91a
marketplace commit:e274d6b40505e977e12061becf27218f5eb717fb

the api group of opsrc&csc:
1)# oc get crd catalogsourceconfigs.operators.coreos.com -o yaml | grep group
  group: operators.coreos.com
2)# oc get crd operatorsources.operators.coreos.com -o yaml | grep group
  group: operators.coreos.com

Comment 5 errata-xmlrpc 2019-06-04 10:46:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.